import Request from '@/utils/request/request-util';

/**
 * 表单设计- 新字典api
 *
 * @author chenjinlong
 * @date 2021/4/13 09:52
 */
export class MetaUserDictApi {
    /**
     * 新增字典类型
     */
    static dictTypeAdd(params) {
        return Request.post('/metaUserDict/dictType/add', params);
    }

    /**
     * 编辑字典类型
     */
    static dictTypeEdit(params) {
        return Request.post('/metaUserDict/dictType/edit', params);
    }

    /**
     * 编辑字典类型
     */
    static dictTypeDelete(params) {
        return Request.post('/metaUserDict/dictType/delete', params);
    }

    /**
     * 获取字典详情 + 字典列表值
     */
    static dictTypeDetail(params) {
        return Request.getAndLoadData('/metaUserDict/dictType/detail', params);
    }

    /**
     * 更新字典项列表
     */
    static updateDictItemList(params) {
        return Request.post('/metaUserDict/dict/updateDictItemList', params);
    }

    /**
     * 获取字典路由方式，true为用户字典
     */
    static getDictUserTypeFlag() {
        return Request.getAndLoadData('/dictRouting/getDictUserTypeFlag');
    }

    /**
     * 获取字典类型列表
     */
    static getDictTypeList(params) {
        return Request.getAndLoadData('/dictRouting/getDictTypeList', params);
    }

    /**
     * 获取字典项列表
     */
    static getDictItemList(params) {
        return Request.getAndLoadData('/dictRouting/getDictItemList', params);
    }

    /**
   * 汇总导出所有用户字典的创建SQL
   * @param {*} params
   * @returns
   */
    static summaryCreateDictSql(params) {
        return Request.getAndLoadData('/metaSqlExport/summaryCreateDictSql', params);
    }
}